<?php

defined('_JEXEC') or die;

class JFormFieldEshopLogisticPayments extends JFormField
{
	
	protected function getInput()
	{
		$config = JFactory::getConfig();
		ob_start();
		$method_payments = new VirtueMartModelPaymentmethod();
		$payments = $method_payments->getPayments();
		//var_dump($payments);
		$ESHOP_PAYMENTS = array(
			'card' => JText::_('VMSHIPMENT_ESHOPLOGISTIC_PAYMENT_ESHOP_CARD'),
			'cash' => JText::_('VMSHIPMENT_ESHOPLOGISTIC_PAYMENT_ESHOP_CASH'),
			'cashless' => JText::_('VMSHIPMENT_ESHOPLOGISTIC_PAYMENT_ESHOP_CASHLESS'),
			'prepay' => JText::_('VMSHIPMENT_ESHOPLOGISTIC_PAYMENT_ESHOP_PREPAY'),
		);
		?>
		<style>
		.virtuemart-admin-area fieldset.btn-group {
			padding: 0;
			border: 0 none;
		}
		</style>
		<table class="adminlist table table-striped">
			<thead>
			<tr>
				<th><?php echo JText::_('VMSHIPMENT_ESHOPLOGISTIC_PAYMENT_VM') ?></th>
				<th class="center"><?php echo JText::_('VMSHIPMENT_ESHOPLOGISTIC_PAYMENTS_ESHOPLOGISTIC') ?></th>
			</tr>
			</thead>
			<?php foreach ($payments as $payment) { ?>
			<tr>
				<td><?php echo $payment->payment_name ?></td>
				<td>
					<fieldset id="params_payments_<?php echo $payment->virtuemart_paymentmethod_id ?>" class="btn-group radio">
						<?php foreach ($ESHOP_PAYMENTS as $type => $epay) { ?>
						<input type="radio" 
							id="params_payments_<?php echo $payment->virtuemart_paymentmethod_id ?>_<?php echo $type ?>" 
							name="params[payments][method_<?php echo $payment->virtuemart_paymentmethod_id ?>]" 
							value="<?php echo $type ?>" 
							<?php if (@$this->value->{'method_'.$payment->virtuemart_paymentmethod_id} == $type) echo 'checked="checked"'; ?> />
						<label for="params_payments_<?php echo $payment->virtuemart_paymentmethod_id ?>_<?php echo $type ?>" class="btn">
							<?php echo $epay ?>
						</label>
						<?php } ?>
					</fieldset>
				</td>
			</tr>
			<?php } ?>
		</table>
		<?php
		$html = ob_get_contents();
		ob_end_clean();
		return $html;
	}
}
