<?php

defined('_JEXEC') or die;

class JFormFieldEshopLogisticClearCache extends JFormField
{
	
	protected function getInput()
	{
		$text = JText::_('VMSHIPMENT_ESHOPLOGISTIC_CACHE_CLEAR_BTN');
		$config = JFactory::getConfig();
		$secret = $config->get('secret');
		$success = JText::_('VMSHIPMENT_ESHOPLOGISTIC_CACHE_CLEAN_SUCCESS');
		$error = JText::_('VMSHIPMENT_ESHOPLOGISTIC_CACHE_CLEAN_ERROR');
		$html = <<<CODE
<button id="btn_eshoplogistic_clearcache" class="btn btn-small button-delete">
<span class="icon-delete" aria-hidden="true"></span>$text</button>
<script>
jQuery(document).ready(function($){
	$('#btn_eshoplogistic_clearcache').click(function(e){
		e.preventDefault();
		
		$.post('/index.php?option=com_ajax&plugin=eshoplogistic&group=vmshipment&task=clear_cache&format=json', {secret: '$secret'}, function(json){
			if (json.status == 'ok') {
				alert('$success');
			} else {
				alert('$error');
			}
		}, 'json');
	});
});
</script>
CODE;
		return $html;
	}
}
